#Checks Armor Slots for Armor Effects
  #Netherite Armor
execute as @a[nbt={Inventory:[{id:"minecraft:netherite_helmet",Slot:103b},{id:"minecraft:netherite_chestplate",Slot:102b},{id:"minecraft:netherite_leggings",Slot:101b},{id:"minecraft:netherite_boots",Slot:100b}]},scores={kazzxv.buff_cd=..0}] at @s run function kazzmon.extravanilla:buffs_and_debuffs/netherite_armor/start

  #Guardian Armor
execute as @a[nbt={Inventory:[{id:"minecraft:chainmail_helmet",Slot:103b,tag:{guardianarmor:1b}},{id:"minecraft:chainmail_chestplate",Slot:102b,tag:{guardianarmor:1b}},{id:"minecraft:chainmail_leggings",Slot:101b,tag:{guardianarmor:1b}},{id:"minecraft:chainmail_boots",Slot:100b,tag:{guardianarmor:1b}}]},scores={kazzxv.buff_cd2=..0}] at @s run function kazzmon.extravanilla:buffs_and_debuffs/guardian_armor/start

  #Diamond Armor
execute as @a[nbt={Inventory:[{id:"minecraft:diamond_helmet",Slot:103b},{id:"minecraft:diamond_chestplate",Slot:102b},{id:"minecraft:diamond_leggings",Slot:101b},{id:"minecraft:diamond_boots",Slot:100b}]},scores={kazzxv.buff_cd3=..0}] at @s run function kazzmon.extravanilla:buffs_and_debuffs/diamond_armor/start

  #Golden Armor
execute as @a[nbt={Inventory:[{id:"minecraft:golden_helmet",Slot:103b},{id:"minecraft:golden_chestplate",Slot:102b},{id:"minecraft:golden_leggings",Slot:101b},{id:"minecraft:golden_boots",Slot:100b}]},scores={kazzxv.buff_cd4=..0}] at @s run function kazzmon.extravanilla:buffs_and_debuffs/golden_armor/start

  #Reinforced Iron Armor
execute as @a[nbt={Inventory:[{id:"minecraft:iron_helmet",tag:{reinforced:1b},Slot:103b},{id:"minecraft:iron_chestplate",tag:{reinforced:1b},Slot:102b},{id:"minecraft:iron_leggings",tag:{reinforced:1b},Slot:101b},{id:"minecraft:iron_boots",tag:{reinforced:1b},Slot:100b}]},scores={kazzxv.buff_cd5=..0}] at @s run function kazzmon.extravanilla:buffs_and_debuffs/reinforced_iron_armor/start

  #Reinforced Netherite Armor
execute as @a[nbt={Inventory:[{id:"minecraft:netherite_helmet",tag:{reinforced:1b},Slot:103b},{id:"minecraft:netherite_chestplate",tag:{reinforced:1b},Slot:102b},{id:"minecraft:netherite_leggings",tag:{reinforced:1b},Slot:101b},{id:"minecraft:netherite_boots",tag:{reinforced:1b},Slot:100b}]},scores={kazzxv.buff_cd9=..0}] at @s run function kazzmon.extravanilla:buffs_and_debuffs/reinforced_netherite_armor/start

  #Dragonscale Armor
execute as @a[nbt={Inventory:[{id:"minecraft:leather_helmet",tag:{dragonscale:1b},Slot:103b},{id:"minecraft:leather_chestplate",tag:{dragonscale:1b},Slot:102b},{id:"minecraft:leather_leggings",tag:{dragonscale:1b},Slot:101b},{id:"minecraft:leather_boots",tag:{dragonscale:1b},Slot:100b}]},scores={kazzxv.buff_cd10=..0}] at @s run function kazzmon.extravanilla:buffs_and_debuffs/dragonscale_armor/start
execute as @a[nbt={Inventory:[{id:"minecraft:leather_helmet",tag:{dragonscale:1b},Slot:103b},{id:"minecraft:elytra",tag:{monarch:1b},Slot:102b},{id:"minecraft:leather_leggings",tag:{dragonscale:1b},Slot:101b},{id:"minecraft:leather_boots",tag:{dragonscale:1b},Slot:100b}]},scores={kazzxv.buff_cd10=..0}] at @s run function kazzmon.extravanilla:buffs_and_debuffs/dragonscale_armor/start

  #Turtle Helmet
execute as @a[nbt=!{Inventory:[{id:"minecraft:turtle_helmet",Slot:103b,tag:{prismashell:1b}}]}] at @s run function kazzmon.extravanilla:buffs_and_debuffs/turtle_helmet/remove

  #Gemspark Armor
execute as @a[nbt={Inventory:[{id:"minecraft:golden_helmet",Slot:103b,tag:{gemspark:1b}},{id:"minecraft:golden_chestplate",Slot:102b,tag:{gemspark:1b}},{id:"minecraft:golden_leggings",Slot:101b,tag:{gemspark:1b}},{id:"minecraft:golden_boots",Slot:100b,tag:{gemspark:1b}}]},scores={kazzxv.buff_cd11=..0}] at @s run function kazzmon.extravanilla:buffs_and_debuffs/gemspark_armor/start

  #Gliding Boots
execute as @a[nbt={Inventory:[{tag:{glideboots:1b,Enchantments:[{id:"minecraft:feather_falling",lvl:4s}]},Slot:100b}]},scores={kazzxv.buff_cd7=..0}] at @s unless block ~ ~-1 ~ minecraft:air run scoreboard players set @s kazzxv.buff_cd8 0
execute as @a[nbt={Inventory:[{tag:{glideboots:1b},Slot:100b}]},scores={kazzxv.buff_cd7=..0}] at @s run function kazzmon.extravanilla:buffs_and_debuffs/gliding_boots/start

#Checks for Players in a Stronghold
execute as @a[gamemode=!creative,gamemode=!spectator,scores={kazzxv.debuff_1=..0}] at @s if entity @s[predicate=kazzmon.extravanilla:in_stronghold] run effect give @s blindness 3 0 true

#Checks for Players in Deep Dark Biome
execute as @a[gamemode=!creative,gamemode=!spectator,scores={kazzxv.debuff_2=..0}] at @s if entity @s[predicate=kazzmon.extravanilla:in_deep_dark] run effect give @s darkness 3 0 true

#Loop
schedule function kazzmon.extravanilla:buffs_and_debuffs/check 20t