#Tags Player
tag @s add kazzxv.wp9_raycaster

#Scoreboard
scoreboard players set @s kazzxv.use_wp2 0

#Sets Hellfire Arrow Properties
execute as @e[type=minecraft:arrow,distance=..2,limit=1] run data merge entity @s {NoGravity:1b}
execute as @e[type=minecraft:arrow,distance=..2,limit=1] run tag @s add kazzxv.hellfire_arrow
execute as @e[type=minecraft:arrow,distance=..2,limit=1] run tag @s add kazzxv.tagged_arrow
execute as @e[type=minecraft:arrow,distance=..2,limit=1] run tag @s add kazzxv.wp_atk
execute as @e[type=minecraft:arrow,distance=..2,limit=1] run scoreboard players set @s kazzxv.airtime 3

#Casts Ray - 20% Chance
scoreboard players set kazzxv_wp9 kazzxv.wp_mode 0
scoreboard players set wp9_distance kazzxv.raycast 0
execute if predicate kazzmon.extravanilla:20_percent anchored eyes positioned ^ ^ ^ run function kazzmon.extravanilla:weapons/hellfire/ray

#Casts Ray w/ Spectral Arrow - 35% Chance
execute if entity @e[type=minecraft:spectral_arrow, distance=..3, nbt=!{inGround:1b}] if score kazzxv_wp9 kazzxv.wp_mode matches 0 run scoreboard players set wp9_distance kazzxv.raycast 150
execute if entity @e[type=minecraft:spectral_arrow, distance=..3, nbt=!{inGround:1b}] if score kazzxv_wp9 kazzxv.wp_mode matches 0 if predicate kazzmon.extravanilla:35_percent anchored eyes positioned ^ ^ ^ run function kazzmon.extravanilla:weapons/hellfire/ray

#Casts Additional Backwards Ray w/ Spectral Arrow - 20% Chance
execute if entity @e[type=minecraft:spectral_arrow, distance=..3, nbt=!{inGround:1b}] if score kazzxv_wp9 kazzxv.wp_mode matches 1 run scoreboard players set wp9_distance kazzxv.raycast 150
execute if entity @e[type=minecraft:spectral_arrow, distance=..3, nbt=!{inGround:1b}] if score kazzxv_wp9 kazzxv.wp_mode matches 1 if predicate kazzmon.extravanilla:20_percent anchored eyes positioned ^ ^ ^ rotated ~180.0 ~ run function kazzmon.extravanilla:weapons/hellfire/ray

#Casts Ray w/ Spectral Arrow - 65% Chance (Kills Spectral Arrow)
execute if entity @e[type=minecraft:spectral_arrow, distance=..3, nbt=!{inGround:1b}] if score kazzxv_wp9 kazzxv.wp_mode matches 0 run scoreboard players set kazzxv_wp9 kazzxv.wp_mode 2
execute if entity @e[type=minecraft:spectral_arrow, distance=..3, nbt=!{inGround:1b}] if score kazzxv_wp9 kazzxv.wp_mode matches 2 run scoreboard players set wp9_distance kazzxv.raycast 0
execute if entity @e[type=minecraft:spectral_arrow, distance=..3, nbt=!{inGround:1b}] if score kazzxv_wp9 kazzxv.wp_mode matches 2 if predicate kazzmon.extravanilla:65_percent anchored eyes positioned ^ ^ ^ run function kazzmon.extravanilla:weapons/hellfire/ray
execute if score kazzxv_wp9 kazzxv.wp_mode matches 2 run scoreboard players set kazzxv_wp9 kazzxv.wp_mode 0
execute as @e[type=minecraft:spectral_arrow, distance=..3, nbt=!{inGround:1b}] if score kazzxv_wp9 kazzxv.wp_mode matches 3 run kill @s

#Particle Effects
execute if score kazzxv_wp9 kazzxv.wp_mode matches 3 run particle minecraft:soul_fire_flame ~ ~1 ~ 0 0 0 0.4 50 force
execute unless score kazzxv_wp9 kazzxv.wp_mode matches 0 run particle minecraft:flame ~ ~1 ~ 0 0 0 0.4 50 force
execute unless score kazzxv_wp9 kazzxv.wp_mode matches 0 run particle minecraft:lava ~ ~1 ~ 0 0 0 0.5 25 force
execute unless score kazzxv_wp9 kazzxv.wp_mode matches 0 run particle minecraft:smoke ~ ~1 ~ 0 0 0 0.25 50 force

#Sound Effects
playsound minecraft:entity.blaze.shoot master @a ~ ~ ~ 2 1
playsound minecraft:entity.blaze.shoot master @a ~ ~ ~ 2 1.3
playsound minecraft:entity.blaze.burn master @a ~ ~ ~ 2 1
execute unless score kazzxv_wp9 kazzxv.wp_mode matches 0 run playsound minecraft:entity.blaze.shoot master @a ~ ~ ~ 2 0.5
execute unless score kazzxv_wp9 kazzxv.wp_mode matches 0 run playsound minecraft:entity.blaze.shoot master @a ~ ~ ~ 2 0.8
execute if score kazzxv_wp9 kazzxv.wp_mode matches 3 run playsound minecraft:block.respawn_anchor.deplete master @a ~ ~ ~ 2 2
execute if score kazzxv_wp9 kazzxv.wp_mode matches 3 run playsound minecraft:block.respawn_anchor.deplete master @a ~ ~ ~ 2 1.3
execute if score kazzxv_wp9 kazzxv.wp_mode matches 3 run playsound minecraft:block.respawn_anchor.deplete master @a ~ ~ ~ 2 1
execute if score kazzxv_wp9 kazzxv.wp_mode matches 3 run playsound minecraft:block.respawn_anchor.deplete master @a ~ ~ ~ 2 0.8

#Removes Tags
tag @s remove kazzxv.wp9_raycaster
tag @e remove kazzxv.hit_wp9